Bug 1414009 - [abrt] Singular: rField_is_Q(): Singular-3-1-7 killed by SIGSEGV
Summary: [abrt] Singular: rField_is_Q(): Singular-3-1-7 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Singular
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Paulo Andrade
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0b8bd14a1dd01440878fae253a7...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 14:31 UTC by NMueller
Modified: 2017-04-20 12:01 UTC (History)
2 users (show)

Fixed In Version: Singular-4.1.0p2-1.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-20 12:01:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (31.16 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: cgroup (276 bytes, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: core_backtrace (1.41 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: dso_list (1.39 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: environ (1.37 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: exploitable (100 bytes, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: maps (7.14 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: mountinfo (3.98 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: open_fds (140 bytes, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: proc_pid_status (1.13 KB, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details
File: var_log_messages (323 bytes, text/plain)
2017-01-17 14:31 UTC, NMueller
no flags Details

Description NMueller 2017-01-17 14:31:13 UTC
Description of problem:
Singular produces a segfault, when executing the command
number(123456789)^5;

Version-Release number of selected component:
Singular-3.1.7-9.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/lib64/Singular/Singular-3-1-7
crash_function: rField_is_Q
executable:     /usr/lib64/Singular/Singular-3-1-7
global_pid:     16902
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 rField_is_Q at ../kernel/ring.h:186
 #1 jjBI2N at iparith.cc:3741
 #2 iiExprArith1 at iparith.cc:8039
 #3 yyparse at grammar.y:614

Comment 1 NMueller 2017-01-17 14:31:19 UTC
Created attachment 1241792 [details]
File: backtrace

Comment 2 NMueller 2017-01-17 14:31:20 UTC
Created attachment 1241793 [details]
File: cgroup

Comment 3 NMueller 2017-01-17 14:31:21 UTC
Created attachment 1241794 [details]
File: core_backtrace

Comment 4 NMueller 2017-01-17 14:31:23 UTC
Created attachment 1241795 [details]
File: dso_list

Comment 5 NMueller 2017-01-17 14:31:24 UTC
Created attachment 1241796 [details]
File: environ

Comment 6 NMueller 2017-01-17 14:31:25 UTC
Created attachment 1241797 [details]
File: exploitable

Comment 7 NMueller 2017-01-17 14:31:27 UTC
Created attachment 1241798 [details]
File: limits

Comment 8 NMueller 2017-01-17 14:31:28 UTC
Created attachment 1241799 [details]
File: maps

Comment 9 NMueller 2017-01-17 14:31:30 UTC
Created attachment 1241800 [details]
File: mountinfo

Comment 10 NMueller 2017-01-17 14:31:31 UTC
Created attachment 1241801 [details]
File: namespaces

Comment 11 NMueller 2017-01-17 14:31:32 UTC
Created attachment 1241802 [details]
File: open_fds

Comment 12 NMueller 2017-01-17 14:31:34 UTC
Created attachment 1241803 [details]
File: proc_pid_status

Comment 13 NMueller 2017-01-17 14:31:35 UTC
Created attachment 1241804 [details]
File: var_log_messages

Comment 14 Fedora Update System 2017-04-16 23:21:53 UTC
Macaulay2-1.9.2-1.fc26, Singular-4.1.0p2-1.fc26, arb-2.10.0-1.fc26, cbmc-5.7-1.fc26, coin-or-Cbc-2.9.8-3.fc26, coin-or-Osi-0.107.8-3.fc26, coin-or-SYMPHONY-5.6.14-3.fc26, coin-or-lemon-1.3.1-10.fc26, eclib-20170330-1.fc26, fflas-ffpack-2.2.2-5.fc26, flint-2.5.2-15.fc26, frobby-0.9.0-10.fc26, gap-pkg-float-0.7.5-2.fc26, giac-1.2.3-3.25.fc26, givaro-4.0.2-5.fc26, glpk-4.61-1.fc26, latte-integrale-1.7.3b-3.fc26, libfplll-5.0.3-1.fc26, libgap-4.8.6-1.fc26, linbox-1.4.2-7.fc26, normaliz-3.1.4-1.fc26, ntl-10.3.0-1.fc26, octave-4.2.1-2.fc26, openms-2.1.0-7.20170131gitbde813.fc26, polymake-3.1-2.fc26, pynac-0.7.3-1.fc26, python-cvxopt-1.1.9-4.fc26, sagemath-7.5.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-4e8cf20cbb

Comment 15 Fedora Update System 2017-04-20 12:01:38 UTC
Macaulay2-1.9.2-1.fc26, Singular-4.1.0p2-1.fc26, arb-2.10.0-1.fc26, cbmc-5.7-1.fc26, coin-or-Cbc-2.9.8-3.fc26, coin-or-Osi-0.107.8-3.fc26, coin-or-SYMPHONY-5.6.14-3.fc26, coin-or-lemon-1.3.1-10.fc26, eclib-20170330-1.fc26, fflas-ffpack-2.2.2-5.fc26, flint-2.5.2-15.fc26, frobby-0.9.0-10.fc26, gap-pkg-float-0.7.5-2.fc26, giac-1.2.3-3.25.fc26, givaro-4.0.2-5.fc26, glpk-4.61-1.fc26, latte-integrale-1.7.3b-3.fc26, libfplll-5.0.3-1.fc26, libgap-4.8.6-1.fc26, linbox-1.4.2-7.fc26, normaliz-3.1.4-1.fc26, ntl-10.3.0-1.fc26, octave-4.2.1-2.fc26, openms-2.1.0-7.20170131gitbde813.fc26, polymake-3.1-2.fc26, pynac-0.7.3-1.fc26, python-cvxopt-1.1.9-4.fc26, sagemath-7.5.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.